Package be.fgov.ehealth.hubservices.core.v3

# Class DeclareTransactionRequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.DeclareTransactionRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class DeclareTransactionRequest extends Object implements Serializable

Java class for DeclareTransactionRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeclareTransactionRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType"/>
             <element name="kmehrheader" type="{http://www.ehealth.fgov.be/hubservices/core/v3}KmehrHeaderDeclareTransactionType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeclareTransactionRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KmehrHeaderDeclareTransaction`
  `getKmehrheader()`
  Gets the value of the kmehrheader property.
  `RequestType`
  `getRequest()`
  Gets the value of the request property.
  `void`
  `setKmehrheader(KmehrHeaderDeclareTransaction value)`
  Sets the value of the kmehrheader property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeclareTransactionRequest

    public DeclareTransactionRequest()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`

  - ### getKmehrheader

    public KmehrHeaderDeclareTransaction getKmehrheader()
    Gets the value of the kmehrheader property.
    Returns:
      possible object is `KmehrHeaderDeclareTransaction`

  - ### setKmehrheader

    public void setKmehrheader(KmehrHeaderDeclareTransaction value)
    Sets the value of the kmehrheader property.
    Parameters:
      `value` - allowed object is `KmehrHeaderDeclareTransaction`